# PhasicFlow: src/phasicFlow/containers/Vector/stdVectorHelper.hpp File Reference
PhasicFlow is an open-source parallel DEM (discrete element method) package for simulating granular flow. It is developed in C++ and can be exectued on both GPU (like CUDA) and CPU.

stdVectorHelper.hpp File Reference
Include dependency graph for stdVectorHelper.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | noConstructAllocator< T >

## Namespaces

| pFlow

## Typedefs

template<typename T >
using | vecAllocator = std::allocator< T >

## Functions

template<typename T >
span< T > | makeSpan (std::vector< T > &container)
template<typename T >
span< T > | makeSpan (const std::vector< T > &container)
template<typename T >
bool | writeSpan (iOstream &os, span< T > sp)
template<typename T >
bool | writeSpan (iOstream &os, span< T > sp, const IOPattern &iop)
template<typename T , typename Allocator >
bool | writeStdVector (iOstream &os, const std::vector< T, Allocator > &vec)
template<typename T , typename Allocator >
bool | writeStdVector (iOstream &os, const std::vector< T, Allocator > &vec, const IOPattern &iop)
template<typename T , typename Allocator >
bool | readStdVector (iIstream &is, std::vector< T, Allocator > &vec)
template<typename T , typename Allocator >
bool | readStdVector (iIstream &is, std::vector< T, Allocator > &vec, const IOPattern &iop)
template<typename T , typename Allocator >
iOstream & | operator<< (iOstream &os, const std::vector< T, Allocator > &vec)
template<typename T , typename Allocator >
iIstream & | operator>> (iIstream &is, std::vector< T, Allocator > &vec)
| Always assume ASCII is in the input stream. More...